//
//  RootViewController.m
//  LoadActivityIndicator
//
//  Created by Imthiaz Rafiq on 9/28/09.
//  Copyright Flip Media 2009. All rights reserved.
//

#import "RootViewController.h"


@implementation RootViewController

-(void)viewWillAppear:(BOOL)animated{
	[super viewWillAppear:YES];
	//Create an instance of activity indicator view
	UIActivityIndicatorView * activityIndicator = [[UIActivityIndicatorView alloc] initWithFrame:CGRectMake(0, 0, 20, 20)];
	//set the initial property
	[activityIndicator stopAnimating];
	[activityIndicator hidesWhenStopped];
	//Create an instance of Bar button item with custome view which is of activity indicator
	UIBarButtonItem * barButton = [[UIBarButtonItem alloc] initWithCustomView:activityIndicator];
	//Set the bar button the navigation bar
	[self navigationItem].rightBarButtonItem = barButton;
	//Memory clean up
	[activityIndicator release];
	[barButton release];
}

-(IBAction)startActivity:(id)sender{
	//Send startAnimating message to the view
	[(UIActivityIndicatorView *)[self navigationItem].rightBarButtonItem.customView startAnimating];
}

-(IBAction)stopActivity:(id)sender{
	//Send stopAnimating message to the view
	[(UIActivityIndicatorView *)[self navigationItem].rightBarButtonItem.customView stopAnimating];
}

- (void)dealloc {
    [super dealloc];
}

@end

